MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000239SoldatMultiplayerpublic2012-06-26 10:252014-02-02 13:34
ReporterBistoufly 
Assigned Toskoskav 
PriorityhighSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.7 
Summary0000239: Spawn Bug on join after downloading a map.
DescriptionPlayers that have to rejoin a server after downloading a map they didn't have,
often spawn at random locations in the map.

Steps To Reproduce1: join a server in which there are maps you don't have.
2: change the map to one of these.
3: soldat downloads the missing map and makes you rejoin.
=> You spawn randomly on the map
Additional InformationSome players will spawn inside polys or outside of the map.
In ctf, some players will spawn at the enemy flag.

In climb some players will spawn near the flags, making them able to cap maps they don't have the skill to cap AND/OR in a shorter time that they could do.
=> This ruins any chance to have a reliable stats system in climb servers!!!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001567)
As de Espada (reporter)
2012-06-29 22:28

I can confirm this bug
(0001571)
moroes (reporter)
2012-07-16 16:28

Its quite a big problem in climb.
It can be solved by server script which is checking positions(I remember silnikos made it) but I use just simple killing script on my server and it does its work.
something like:

procedure OnJoinTeam(ID, Team: byte);
begin
  DoDamage(ID,4000);
end;

No more spawnbugs ;).
Not sure if its good solution for ctf,but its definitelly the easiest solution how to prevent spawnbugs in climb.
(0001601)
Shoozza (administrator)
2012-10-07 17:41

Noticed spawning at weird locations before so this sounds plausible.
(0001603)
DutchFlame (reporter)
2012-10-08 01:31

I confirm this too.

Happens alot to me
(0001607)
Squiddy (reporter)
2012-10-09 19:10
edited on: 2012-10-09 19:12

I confirm it too, happens to me a lot.

edit: I do basically the same as mentioned above (via script). When it changes the map, it automatically kills everyone in the server once.

(0002129)
skoskav (developer)
2014-02-02 13:34

Fixed in 1.6.7. Though players that happen to be joining a server as it's in the "limbo" state between maps would still get this bug.

- Issue History
Date Modified Username Field Change
2012-06-26 10:25 Bistoufly New Issue
2012-06-29 22:28 As de Espada Note Added: 0001567
2012-07-16 16:28 moroes Note Added: 0001571
2012-10-07 17:41 Shoozza Note Added: 0001601
2012-10-07 17:41 Shoozza Status new => acknowledged
2012-10-08 01:31 DutchFlame Note Added: 0001603
2012-10-09 19:10 Squiddy Note Added: 0001607
2012-10-09 19:12 Squiddy Note Edited: 0001607 View Revisions
2013-07-14 15:42 Bistoufly Priority normal => high
2013-07-14 15:42 Bistoufly Status acknowledged => confirmed
2014-02-02 13:34 skoskav Note Added: 0002129
2014-02-02 13:34 skoskav Status confirmed => resolved
2014-02-02 13:34 skoskav Fixed in Version => 1.6.7
2014-02-02 13:34 skoskav Resolution open => fixed
2014-02-02 13:34 skoskav Assigned To => skoskav


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker